Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all versions visible to the caller.

List all versions visible to the caller. Get the versions of this process that the caller may see. The list is ordered by relevance: the currently valid version first, then the next one, then the previous ones with the most recent first, then the upcoming ones.

Security: Any user holding a Bpanda licence for the process space. Unpublished versions are only returned to an owner, whitelistee, Manager or Designer of the process.

GET/v1/warehouses/{warehouseId}/processes/{processId}/versions
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

processIdstringerforderlich

ID of process

Antworten
200

List of process version info

Array von ProcessInfo
breadcrumbsBreadcrumb[]erforderlich
Eigenschaften anzeigen
Array von Breadcrumb
idstringerforderlich
namestringerforderlich
changeSummarystring
descriptionsDescription[]erforderlich
Eigenschaften anzeigen
Array von Description
textFormattedText[]erforderlich
Eigenschaften anzeigen
Array von FormattedText
formatTextFormaterforderlich
Erlaubt:BBCodeHTMLPlainText
textstringerforderlich
titlestringerforderlich
hasDiagrambooleanerforderlich
idstringerforderlich
importedAtstringerforderlich
importedBystringerforderlich
lanesAkkuLane[]
Eigenschaften anzeigen
Array von AkkuLane
groupIdsstring[]erforderlich
idstringerforderlich
namestringerforderlich
orgIdsstring[]erforderlich
orgRoleIdsstring[]erforderlich
typestringerforderlich
userIdsstring[]erforderlich
langstringerforderlich
namestringerforderlich
presenceTagsPresenceTags
Eigenschaften anzeigen
changedAtstringerforderlich
changedBystringerforderlich
tagsPresenceTag[]erforderlich
processStateProcessVersionStatuserforderlich
Erlaubt:ABANDONEDAPPROVEDDELETEDIMPORTEDINVALIDIN_REVIEWNOT_PUBLISHEDPUBLISHEDUNKNOWNVALIDWORKFLOWASSIGNED
processVersionNrinteger<int32>erforderlich
publicProcessVersionLabelstring
publicProcessVersionNrstring
publishedAtstring
publishedBystring
rolesRoles
Eigenschaften anzeigen
blacklistedIdsstring[]erforderlich
ownerIdsstring[]erforderlich
participantIdsstring[]erforderlich
whitelistedIdsstring[]erforderlich
svgIdstring
thumbnailstring
typestringerforderlich
validityValidity
Eigenschaften anzeigen
fromstringerforderlich
untilstringerforderlich
validityStateValidityStateerforderlich
Erlaubt:GONEINVALIDNEXTPREVIOUSUNKNOWNUPCOMINGVALID
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/processes/string/versions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "changeSummary": "string",
    "descriptions": [
      {
        "text": [
          {
            "format": "BBCode",
            "text": "string"
          }
        ],
        "title": "string"
      }
    ],
    "hasDiagram": true,
    "id": "string",
    "importedAt": "string",
    "importedBy": "string",
    "lanes": [
      {
        "groupIds": [
          "string"
        ],
        "id": "string",
        "name": "string",
        "orgIds": [
          "string"
        ],
        "orgRoleIds": [
          "string"
        ],
        "type": "string",
        "userIds": [
          "string"
        ]
      }
    ],
    "lang": "string",
    "name": "string",
    "presenceTags": {
      "changedAt": "string",
      "changedBy": "string",
      "tags": [
        "PRESENCE_TAG_DEFAULT"
      ]
    },
    "processState": "ABANDONED",
    "processVersionNr": 0,
    "publicProcessVersionLabel": "string",
    "publicProcessVersionNr": "string",
    "publishedAt": "string",
    "publishedBy": "string",
    "roles": {
      "blacklistedIds": [
        "string"
      ],
      "ownerIds": [
        "string"
      ],
      "participantIds": [
        "string"
      ],
      "whitelistedIds": [
        "string"
      ]
    },
    "svgId": "string",
    "thumbnail": "string",
    "type": "string",
    "validity": {
      "from": "string",
      "until": "string"
    },
    "validityState": "GONE"
  }
]